## kwidgetsaddons 5.18.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project(KWidgetsAddons)

include(FeatureSummary)
find_package(ECM 5.18.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)


set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings)
include(KDECMakeSettings)
set(REQUIRED_QT_VERSION 5.3.0)
find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Widgets)


include(GenerateExportHeader)
include(ECMPackageConfigHelpers)
include(ECMSetupVersion)
include(ECMGenerateHeaders)

include(ECMPoQmTools)

set(KF5_VERSION "5.18.0") # handled by release scripts

ecm_setup_version(${KF5_VERSION} VARIABLE_PREFIX KWIDGETSADDONS
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kwidgetsaddons_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5WidgetsAddonsConfigVersion.cmake"
                        SOVERSION 5)

if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
    ecm_install_po_files_as_qm(po)
endif()

add_subdirectory(src)
add_subdirectory(autotests)
add_subdirectory(tests)

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5WidgetsAddons")

ecm_configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KF5WidgetsAddonsConfig.cmake.in"
                              "${CMAKE_CURRENT_BINARY_DIR}/KF5WidgetsAddonsConfig.cmake"
                              INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
                              )

install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/KF5WidgetsAddonsConfig.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/KF5WidgetsAddonsConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel )

install(EXPORT KF5WidgetsAddonsTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5WidgetsAddonsTargets.cmake NAMESPACE KF5:: )

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/kwidgetsaddons_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
)

feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== autotests/CMakeLists.txt ===

include(ECMAddTests)

find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Test UiTools)

ecm_add_tests(
  kcolorbuttontest.cpp
  kdatecomboboxtest.cpp
  kdatetimeedittest.cpp
  kdualactiontest.cpp
  knewpasswordwidgettest.cpp
  kselectaction_unittest.cpp
  ktimecomboboxtest.cpp
  kmessagewidgetautotest.cpp
  kpagedialogautotest.cpp
  ksplittercollapserbuttontest.cpp
  LINK_LIBRARIES Qt5::Test KF5::WidgetsAddons
)

ecm_add_tests(
  kcolumnresizertest.cpp
  NAME_PREFIX "kwidgetsaddons-"
  LINK_LIBRARIES Qt5::Test KF5::WidgetsAddons Qt5::UiTools
)

## kwidgetsaddons 5.3.0

=== debian/changelog ===
kwidgetsaddons (5.3.0-0ubuntu1) utopic; urgency=medium

  [ Harald Sitter ]
  * Do not build depend on qt5-default, we only need qtbase5-dev

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 07 Oct 2014 11:12:39 +0100

kwidgetsaddons (5.2.0-0ubuntu1) utopic; urgency=medium

  [ Jonathan Riddell ]
  * New upstream release
  * Use pkg-kde-tools version 3 scripts

  [ Philip Muškovac ]
  * set the window size for Xvfb to 800x600x24 as 8bit isn't enough color depth
    for the tests
  * Add new symbols

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 22 Sep 2014 19:41:13 +0200

kwidgetsaddons (5.1.0-0ubuntu1) utopic; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update libraries *.install paths so a soname bump doesn't go
    unnoticed.

  [ Scarlett Clark ]
  * New upstream release
  * Patched symbols with batchpatch. 

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Tue, 05 Aug 2014 17:12:03 +0200

kwidgetsaddons (5.0.0-0ubuntu1) utopic; urgency=medium

  [ Jonathan Riddell ]
  * Initial stable upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 10 Jul 2014 16:17:11 +0200

=== debian/control ===
Source: kwidgetsaddons
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9.0.0),
               extra-cmake-modules (>= 1.2.0),
               kdelibs5-data,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev,
               qttools5-dev,
               qttools5-dev-tools,
               xauth,
               xvfb
Standards-Version: 3.9.5
Homepage: https://projects.kde.org/projects/frameworks/kwidgetsaddons
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/frameworks/kwidgetsaddons.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kwidgetsaddons.git

Package: libkf5widgetsaddons-dev
Section: libdevel
Architecture: any
Depends: libkf5widgetsaddons5 (= ${binary:Version}),
         qtbase5-dev,
         ${misc:Depends}
Description: development files for kwidgetsaddons
 Provided are action classes that can be added to toolbars or menus,
 a wide range of widgets for selecting characters, fonts, colors,
 actions, dates and times, or MIME types, as well as platform-aware
 dialogs for configuration pages, message boxes, and password requests.
 .
 Contains development files for kwidgetsaddons.

Package: libkf5widgetsaddons5
Architecture: any
Multi-Arch: same
Depends: libkf5widgetsaddons-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: add-on widgets and classes for applications that use the Qt Widgets module
 Provided are action classes that can be added to toolbars or menus,
 a wide range of widgets for selecting characters, fonts, colors,
 actions, dates and times, or MIME types, as well as platform-aware
 dialogs for configuration pages, message boxes, and password requests.

Package: libkf5widgetsaddons-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5widgetsaddons5-data
Replaces: libkf5widgetsaddons5-data
Description: add-on widgets and classes for applications that use the Qt Widgets module
 Provided are action classes that can be added to toolbars or menus,
 a wide range of widgets for selecting characters, fonts, colors,
 actions, dates and times, or MIME types, as well as platform-aware
 dialogs for configuration pages, message boxes, and password requests.
 .
 This package contains the translations.

Package: libkf5widgetsaddons5-dbg
Priority: extra
Section: debug
Architecture: any
Multi-Arch: same
Depends: libkf5widgetsaddons5 (= ${binary:Version}), ${misc:Depends}
Description: debug symbols for kwidgetsaddons
 Provided are action classes that can be added to toolbars or menus,
 a wide range of widgets for selecting characters, fonts, colors,
 actions, dates and times, or MIME types, as well as platform-aware
 dialogs for configuration pages, message boxes, and password requests.
 .
 Contains debug symbols for kwidgetsaddons.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=libkf5widgetsaddons5-dbg

override_dh_auto_test:
	xvfb-run -s '-screen 0 800x600x24' -a $(overridden_command)

## kwidgetsaddons 5.9.0

=== debian/changelog ===
kwidgetsaddons (5.9.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 13 Apr 2015 22:30:35 +0200

kwidgetsaddons (5.8.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 17 Mar 2015 15:40:49 +0100

kwidgetsaddons (5.7.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Harald Sitter <sitter@kde.org>  Tue, 10 Feb 2015 16:18:34 +0100

kwidgetsaddons (5.6.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 06 Jan 2015 19:48:29 +0100

kwidgetsaddons (5.5.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 11:09:16 +0100

kwidgetsaddons (5.4.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Nov 2014 15:02:59 +0100

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,16 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9.0.0),
-               extra-cmake-modules (>= 1.2.0),
-               kdelibs5-data,
+               extra-cmake-modules (>= 1.8.0),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev,
                qttools5-dev,
                qttools5-dev-tools,
                xauth,
                xvfb
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/frameworks/kwidgetsaddons
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/frameworks/kwidgetsaddons.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kwidgetsaddons.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kwidgetsaddons.git
 
 Package: libkf5widgetsaddons-dev

=== debian/rules ===
--- 
+++ 
@@ -7,5 +7,5 @@
 	$(overridden_command) --dbg-package=libkf5widgetsaddons5-dbg
 
 override_dh_auto_test:
-	xvfb-run -s '-screen 0 800x600x24' -a $(overridden_command)
+	-xvfb-run -s '-screen 0 800x600x24' -a $(overridden_command)

## kwidgetsaddons 5.15.0

=== debian/changelog ===
kwidgetsaddons (5.15.0-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * Vivid backport

  [ Jonathan Riddell ]
  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 07 Oct 2015 13:57:55 +0100

kwidgetsaddons (5.14.0-0ubuntu1) wily; urgency=medium

  * new upstream release
  * Updating symbols

 -- Clive Johnston <clivejo@aol.com>  Thu, 17 Sep 2015 13:27:53 +0100

kwidgetsaddons (5.13.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Aug 2015 13:33:52 +0200

kwidgetsaddons (5.12.0-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release

  [ José Manuel Santamaría Lema ]
  * Update symbols file: mark as optional the symbols gone after
    building with GCC 5

  [ Scarlett Clark ]
  * Vivid backport. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 03 Aug 2015 16:10:41 +0200

kwidgetsaddons (5.11.0-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.10.0).
  * Update symbols files from buildds logs (5.9.0-1).
  * New upstream release (5.11.0).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 26 Jun 2015 15:32:52 +0200

kwidgetsaddons (5.10.0-0ubuntu1) wily; urgency=medium

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 03 Jun 2015 21:01:55 +0200

kwidgetsaddons (5.9.0-1) experimental; urgency=medium

  * New upstream release (5.9.0).
  * Update symbols files from buildds logs (5.8.0-1).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 23 Apr 2015 08:25:03 +0200

kwidgetsaddons (5.8.0-1) experimental; urgency=medium

  * New upstream release (5.8.0).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 14 Mar 2015 22:26:59 +0100

kwidgetsaddons (5.7.0-1) experimental; urgency=medium

  * New upstream release (5.7.0).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 04 Mar 2015 17:45:37 +0100

kwidgetsaddons (5.6.0-1) experimental; urgency=medium

  [ Harald Sitter ]
  * Do not build depend on qt5-default, we only need qtbase5-dev

  [ Maximiliano Curia ]
  * New upstream release (5.6.0).
  * Bump build dependencies to build against the experimental versions.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update install files.
  * Update build dependencies to follow cmake.
  * Update copyright information.
  * Add basic autopkgtests support.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 23 Jan 2015 18:03:27 +0100

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,17 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake,
-               debhelper (>= 9.0.0),
-               extra-cmake-modules (>= 1.8.0),
+Build-Depends: cmake (>= 2.8.12),
+               debhelper (>= 9),
+               extra-cmake-modules (>= 5.15.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev,
-               qttools5-dev,
-               qttools5-dev-tools,
+               qtbase5-dev (>= 5.4),
+               qttools5-dev (>= 5.4),
+               qttools5-dev-tools (>= 5.4),
                xauth,
                xvfb
 Standards-Version: 3.9.6
+XS-Testsuite: autopkgtest
 Homepage: https://projects.kde.org/projects/frameworks/kwidgetsaddons
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kwidgetsaddons.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kwidgetsaddons.git
@@ -21,7 +22,7 @@
 Section: libdevel
 Architecture: any
 Depends: libkf5widgetsaddons5 (= ${binary:Version}),
-         qtbase5-dev,
+         qtbase5-dev (>= 5.4),
          ${misc:Depends}
 Description: development files for kwidgetsaddons
  Provided are action classes that can be added to toolbars or menus,
@@ -58,8 +59,8 @@
  This package contains the translations.
 
 Package: libkf5widgetsaddons5-dbg
+Section: debug
 Priority: extra
-Section: debug
 Architecture: any
 Multi-Arch: same
 Depends: libkf5widgetsaddons5 (= ${binary:Version}), ${misc:Depends}

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=libkf5widgetsaddons5-dbg

.PHONY: override_dh_auto_test

## kwidgetsaddons 5.18.0

=== debian/changelog ===
kwidgetsaddons (5.18.0-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * Debian merge: No remaining changes. 
  * Batchpatch symbols. Removed 2 private symbols.
  * New upstream release Xenial

  [ Philip Muškovac ]
  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 07 Mar 2016 23:25:26 +0100

kwidgetsaddons (5.16.0-1) unstable; urgency=medium

  * New upstream release (5.16.0).
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 30 Nov 2015 12:12:21 +0100

kwidgetsaddons (5.15.0-1) unstable; urgency=medium

  * New upstream release (5.15.0).
  * Update symbols files from buildds logs (5.14.0-1).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 09 Oct 2015 19:15:50 +0200

kwidgetsaddons (5.15.0-0ubuntu2) xenial; urgency=medium

  * Fix autopackagetests by adding allow-stderr to the requirements.

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 03 Nov 2015 15:34:49 +0100

kwidgetsaddons (5.14.0-1) unstable; urgency=medium

  * New upstream release (5.14.0).
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 15 Sep 2015 13:47:37 +0200

kwidgetsaddons (5.13.0-1) unstable; urgency=medium

  * New upstream release (5.13.0).
  * Update symbols files from buildds logs (5.12.0-3).
  * Update symbols file.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 27 Aug 2015 17:44:34 +0200

kwidgetsaddons (5.12.0-3) unstable; urgency=medium

  * Team upload.
  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 11 Aug 2015 19:20:31 -0300

kwidgetsaddons (5.12.0-2) unstable; urgency=medium

  * Team upload.
  * Update symbols files with buildds' logs.
  * Update symbols files with current build log against gcc5.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 11 Aug 2015 16:12:08 -0300

kwidgetsaddons (5.12.0-1) unstable; urgency=medium

  * New upstream release (5.12.0).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 09 Jul 2015 12:42:48 +0200

kwidgetsaddons (5.11.0-2) unstable; urgency=medium

  * Disable the unittests in arm. (Closes: #790080)

 -- Maximiliano Curia <maxy@debian.org>  Mon, 06 Jul 2015 10:36:33 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.15.0~),
+               extra-cmake-modules (>= 5.18.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.4),
                qttools5-dev (>= 5.4),
@@ -13,7 +13,6 @@
                xauth,
                xvfb
 Standards-Version: 3.9.6
-XS-Testsuite: autopkgtest
 Homepage: https://projects.kde.org/projects/frameworks/kwidgetsaddons
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kwidgetsaddons.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kwidgetsaddons.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

override_dh_strip:
	$(overridden_command) --dbg-package=libkf5widgetsaddons5-dbg

override_dh_auto_test:
	# Disable the unittests in arm, the unittests need a working display
	# and xvfb seems to be insufficient.
	if [ 'arm64' != "$(DEB_HOST_ARCH)" -a 'armel' != "$(DEB_HOST_ARCH)" -a 'armhf' != "$(DEB_HOST_ARCH)" ]; then \
	    xvfb-run -s '-screen 0 800x600x24' -a $(overridden_command); \
	fi

=== debian/watch ===
version=3
http://download.kde.org/unstable/frameworks/([\d\.]*)/kwidgetsaddons-(.*)\.tar\.xz
http://download.kde.org/stable/frameworks/([\d\.]*)/kwidgetsaddons-(.*)\.tar\.xz

## kwidgetsaddons 5.26.0

=== debian/changelog ===
kwidgetsaddons (5.26.0-0ubuntu1) yakkety; urgency=low

  * New upstream release (5.26.0)
  * Refresh symbols from build logs

 -- Rik Mills <rik.mills88@gmail.com>  Thu, 22 Sep 2016 13:50:39 +0100

kwidgetsaddons (5.24.0-0ubuntu1) yakkety; urgency=medium

  [ Philip Muškovac ]
  * New upstream release (5.24.0)

  [ Clive Johnston ]
  * Refreshing symbols

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 26 Jul 2016 08:47:01 +0000

kwidgetsaddons (5.23.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.23.0)

 -- Clive Johnston <clivejo@kubuntu.org>  Mon, 11 Jul 2016 22:18:21 +0200

kwidgetsaddons (5.22.0-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release. 
  * Debian merge: No remaining changes. 
  * Remove merge markers from symbols. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Clive Johnston ]
  * New upstream release

 -- Clive Johnston <clivejo@kubuntu.org>  Tue, 17 May 2016 16:40:38 -0700

kwidgetsaddons (5.19.0-1) experimental; urgency=medium

  * New upstream release (5.19.0).
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 13 Feb 2016 15:15:48 +0100

kwidgetsaddons (5.18.0-1) experimental; urgency=medium

  * New upstream release (5.17.0).
  * Update symbols files.
  * New upstream release (5.18.0).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 27 Jan 2016 13:33:18 +0100

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,15 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.18.0~),
+               extra-cmake-modules (>= 5.26.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.4),
                qttools5-dev (>= 5.4),
-               qttools5-dev-tools (>= 5.4),
-               xauth,
-               xvfb
+               qttools5-dev-tools (>= 5.4)
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/frameworks/kwidgetsaddons
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kwidgetsaddons.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kwidgetsaddons.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwidgetsaddons
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwidgetsaddons
 
 Package: libkf5widgetsaddons-dev
 Section: libdevel
@@ -56,17 +54,3 @@
  dialogs for configuration pages, message boxes, and password requests.
  .
  This package contains the translations.
-
-Package: libkf5widgetsaddons5-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Multi-Arch: same
-Depends: libkf5widgetsaddons5 (= ${binary:Version}), ${misc:Depends}
-Description: debug symbols for kwidgetsaddons
- Provided are action classes that can be added to toolbars or menus,
- a wide range of widgets for selecting characters, fonts, colors,
- actions, dates and times, or MIME types, as well as platform-aware
- dialogs for configuration pages, message boxes, and password requests.
- .
- Contains debug symbols for kwidgetsaddons.

## kwidgetsaddons 5.28.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 project(KWidgetsAddons)
 
 include(FeatureSummary)
-find_package(ECM 5.18.0  NO_MODULE)
+find_package(ECM 5.28.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -11,9 +11,9 @@
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
 
 include(KDEInstallDirs)
-include(KDEFrameworkCompilerSettings)
+include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 include(KDECMakeSettings)
-set(REQUIRED_QT_VERSION 5.3.0)
+set(REQUIRED_QT_VERSION 5.5.0)
 find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Widgets)
 
 
@@ -24,7 +24,7 @@
 
 include(ECMPoQmTools)
 
-set(KF5_VERSION "5.18.0") # handled by release scripts
+set(KF5_VERSION "5.28.0") # handled by release scripts
 
 ecm_setup_version(${KF5_VERSION} VARIABLE_PREFIX KWIDGETSADDONS
                         VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kwidgetsaddons_version.h"

=== debian/changelog ===
kwidgetsaddons (5.28.0-3) unstable; urgency=medium

  * Update translations to the 5.29 version (Closes: 860515)

 -- Maximiliano Curia <maxy@debian.org>  Thu, 11 May 2017 14:58:40 +0200

kwidgetsaddons (5.28.0-2) unstable; urgency=medium

  * Apply "KMessageWidget: use darker red color when type is Error" (497c463)
    Otherwise the close button is barely visible.
    Add the upstrem patch as:
     KMessageWidget-use-darker-red-color-when-type-is-Error.patch
    This fixes the KDE#357210
  * Apply "Fix KDateComboBox checks for valid entered dates" (1550b2c)
    This fixes wrong or missing checks to determine whether an entered date
    is valid.
    Add upstream patch as:
     Fix-KDateComboBox-checks-for-valid-entered-dates.patch
  * Apply "KFontRequester: Find the nearest match for a missing font" (243626c)
    If the font is missing, then try to find the nearest font family instead
    of just selecting the first family in the list.
    This fixes KDE#286260
    Add the upstream patch as:
     KFontRequester-Find-the-nearest-match-for-a-missing-font.patch
  * Backport "Fix wrong size hint when animatedShow is called with hidden parent" (0cfb788)
    Add upstream patch as:
     Fix-wrong-size-hint-when-animatedShow-is-called-with-hidd.patch
    This fixes KDE#377676

 -- Maximiliano Curia <maxy@debian.org>  Fri, 07 Apr 2017 17:36:47 +0200

kwidgetsaddons (5.28.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Update symbols files with the buildds logs.

  [ Maximiliano Curia ]
  * New upstream release (5.28)
  * Bump group breaks (5.28)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 18 Nov 2016 16:02:42 +0100

kwidgetsaddons (5.27.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update symbols files with the buildds logs.
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (5.27)
  * Bump group breaks (5.27)

 -- Maximiliano Curia <maxy@debian.org>  Sat, 15 Oct 2016 16:56:56 +0200

kwidgetsaddons (5.26.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Update symbols files with the buildds logs.

  [ Maximiliano Curia ]
  * Bump group breaks (5.26)
  * Replace dbus-launch with dbus-run-session in tests

 -- Maximiliano Curia <maxy@debian.org>  Thu, 29 Sep 2016 11:56:56 +0200

kwidgetsaddons (5.25.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update symbols files.
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * Bump group breaks (5.25)

 -- Maximiliano Curia <maxy@debian.org>  Thu, 18 Aug 2016 17:19:11 +0200

kwidgetsaddons (5.23.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

 -- Maximiliano Curia <maxy@debian.org>  Sat, 18 Jun 2016 08:23:38 +0200

kwidgetsaddons (5.22.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

 -- Maximiliano Curia <maxy@debian.org>  Thu, 19 May 2016 00:09:06 +0200

kwidgetsaddons (5.21.0-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Update acc test script
  * uscan no longer supports more than one main upstream tarball being listed
  * Drop Xephyr hack

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 3.9.8

 -- Maximiliano Curia <maxy@debian.org>  Thu, 05 May 2016 15:10:24 +0200

=== debian/control ===
--- 
+++ 
@@ -5,21 +5,21 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.26.0~),
+               extra-cmake-modules (>= 5.28.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.4),
-               qttools5-dev (>= 5.4),
+               qtbase5-dev (>= 5.5.0~),
+               qttools5-dev (>= 5.5.0~),
                qttools5-dev-tools (>= 5.4)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/frameworks/kwidgetsaddons
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwidgetsaddons
-Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwidgetsaddons
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/frameworks/kwidgetsaddons.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/frameworks/kwidgetsaddons.git
 
 Package: libkf5widgetsaddons-dev
 Section: libdevel
 Architecture: any
 Depends: libkf5widgetsaddons5 (= ${binary:Version}),
-         qtbase5-dev (>= 5.4),
+         qtbase5-dev (>= 5.5.0~),
          ${misc:Depends}
 Description: development files for kwidgetsaddons
  Provided are action classes that can be added to toolbars or menus,
@@ -28,6 +28,12 @@
  dialogs for configuration pages, message boxes, and password requests.
  .
  Contains development files for kwidgetsaddons.
+Breaks: kross-dev (<< 5.28),
+        libkf5completion-dev (<< 5.28),
+        libkf5configwidgets-dev (<< 5.28),
+        libkf5iconthemes-dev (<< 5.28),
+        libkf5jobwidgets-dev (<< 5.28),
+        libkf5khtml-dev (<< 5.28)
 
 Package: libkf5widgetsaddons5
 Architecture: any
@@ -40,6 +46,33 @@
  a wide range of widgets for selecting characters, fonts, colors,
  actions, dates and times, or MIME types, as well as platform-aware
  dialogs for configuration pages, message boxes, and password requests.
+Breaks: frameworkintegration (<< 5.28),
+        kdesignerplugin (<< 5.28),
+        kio (<< 5.28),
+        kross (<< 5.28),
+        libkf5bookmarks5 (<< 5.28),
+        libkf5completion5 (<< 5.28),
+        libkf5configwidgets5 (<< 5.28),
+        libkf5iconthemes5 (<< 5.28),
+        libkf5jobwidgets5 (<< 5.28),
+        libkf5kcmutils5 (<< 5.28),
+        libkf5kdelibs4support5 (<< 5.28),
+        libkf5kdelibs4support5-bin (<< 5.28),
+        libkf5khtml-bin (<< 5.28),
+        libkf5khtml5 (<< 5.28),
+        libkf5kiofilewidgets5 (<< 5.28),
+        libkf5kiowidgets5 (<< 5.28),
+        libkf5krossui5 (<< 5.28),
+        libkf5newstuff5 (<< 5.28),
+        libkf5parts-plugins (<< 5.28),
+        libkf5parts5 (<< 5.28),
+        libkf5peoplewidgets5 (<< 5.28),
+        libkf5texteditor5 (<< 5.28),
+        libkf5textwidgets5 (<< 5.28),
+        libkf5wallet-bin (<< 5.28),
+        libkf5xmlgui5 (<< 5.28),
+        libkwalletbackend5-5 (<< 5.28),
+        qml-module-org-kde-kquickcontrols (<< 5.28)
 
 Package: libkf5widgetsaddons-data
 Architecture: all

## kwidgetsaddons 5.31.0

=== debian/changelog ===
kwidgetsaddons (5.31.0-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Pass '-fno-keep-inline-functions' to gcc in the acc test in order to
    avoid possible spurious test failures.
  * New upstream release (5.31.0)

  [ Rik Mills ]
  * Update symbols from build logs.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 14 Feb 2017 22:51:27 +0000

kwidgetsaddons (5.30.0-0ubuntu1) zesty; urgency=low

  * New upstream release (5.30.0)
  * Update symbols from build logs

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 01 Feb 2017 18:35:12 +0000

kwidgetsaddons (5.28.0-0ubuntu1) zesty; urgency=low

  [ Rik Mills ]
  * New upstream release (5.27.0)

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git field to use https:// instead of git://
  * New upstream release (5.28.0)

  [ Simon Quigley ]
  * Merge from Debian

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 05 Dec 2016 20:17:20 +0000

=== debian/control ===
Source: kwidgetsaddons
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~),
               qttools5-dev-tools (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/frameworks/kwidgetsaddons
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwidgetsaddons
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwidgetsaddons

Package: libkf5widgetsaddons-dev
Architecture: any
Section: libdevel
Depends: libkf5widgetsaddons5 (= ${binary:Version}),
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends}
Description: development files for kwidgetsaddons
 Provided are action classes that can be added to toolbars or menus,
 a wide range of widgets for selecting characters, fonts, colors,
 actions, dates and times, or MIME types, as well as platform-aware
 dialogs for configuration pages, message boxes, and password requests.
 .
 Contains development files for kwidgetsaddons.

Package: libkf5widgetsaddons5
Architecture: any
Multi-Arch: same
Depends: libkf5widgetsaddons-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: add-on widgets and classes for applications that use the Qt Widgets module
 Provided are action classes that can be added to toolbars or menus,
 a wide range of widgets for selecting characters, fonts, colors,
 actions, dates and times, or MIME types, as well as platform-aware
 dialogs for configuration pages, message boxes, and password requests.

Package: libkf5widgetsaddons-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5widgetsaddons5-data
Replaces: libkf5widgetsaddons5-data
Description: add-on widgets and classes for applications that use the Qt Widgets module
 Provided are action classes that can be added to toolbars or menus,
 a wide range of widgets for selecting characters, fonts, colors,
 actions, dates and times, or MIME types, as well as platform-aware
 dialogs for configuration pages, message boxes, and password requests.
 .
 This package contains the translations.

## kwidgetsaddons 5.38.0

=== debian/changelog ===
kwidgetsaddons (5.38.0-0ubuntu1) artful; urgency=medium

  * Update sybmols from build logs. Remove private symbols now upstream
    changes ensure these are no longer leaked
  * New upstream release (5.38.0)
  * Update symbols from build logs

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 11 Sep 2017 13:17:20 +0100

kwidgetsaddons (5.37.0-0ubuntu1) artful; urgency=medium

  * Update symbols from buildlogs and remove MISSING private
  * New upstream release (5.37.0)
  * Update symbols from build logs

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 12 Aug 2017 18:48:33 +0100

kwidgetsaddons (5.36.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.36.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 11 Jul 2017 23:53:20 +0100

kwidgetsaddons (5.35.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.35.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Jun 2017 22:58:32 +0100

kwidgetsaddons (5.34.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.34.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 15 May 2017 21:26:26 +0100

kwidgetsaddons (5.33.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.33.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 29 Apr 2017 18:05:50 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.31.0~),
+               extra-cmake-modules (>= 5.38.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.6.1~),
                qttools5-dev (>= 5.6.1~),

## kwidgetsaddons 5.44.0

=== debian/changelog ===
kwidgetsaddons (5.44.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.44.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 12 Mar 2018 19:59:24 +0000

kwidgetsaddons (5.43.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.43.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 11 Feb 2018 11:16:52 +0000

kwidgetsaddons (5.42.1-0ubuntu1) bionic; urgency=medium

  * New upstream release 5.42.1

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Jan 2018 22:23:15 +0000

kwidgetsaddons (5.42.0-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release (5.42.0)
  * Add upstream patch to fix tab bars in Kate and elsewhere

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 13 Jan 2018 15:07:08 +0000

kwidgetsaddons (5.41.0-0ubuntu1) bionic; urgency=low

  * New upstream release (5.41.0)

 -- Walter Lapchynski <wxl@ubuntu.com>  Sun, 10 Dec 2017 22:08:17 -0600

kwidgetsaddons (5.40.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.39.0)
  * Update symbols from build logs
  * New upstream release (5.40.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 24 Nov 2017 17:17:59 +0000

=== debian/control ===
Source: kwidgetsaddons
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.44.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~),
               qttools5-dev-tools (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/frameworks/kwidgetsaddons
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwidgetsaddons
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwidgetsaddons

Package: libkf5widgetsaddons-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5widgetsaddons5-data
Replaces: libkf5widgetsaddons5-data
Description: add-on widgets and classes for applications that use the Qt Widgets module
 Provided are action classes that can be added to toolbars or menus,
 a wide range of widgets for selecting characters, fonts, colors,
 actions, dates and times, or MIME types, as well as platform-aware
 dialogs for configuration pages, message boxes, and password requests.
 .
 This package contains the translations.

Package: libkf5widgetsaddons-dev
Architecture: any
Section: libdevel
Depends: libkf5widgetsaddons5 (= ${binary:Version}),
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends}
Description: development files for kwidgetsaddons
 Provided are action classes that can be added to toolbars or menus,
 a wide range of widgets for selecting characters, fonts, colors,
 actions, dates and times, or MIME types, as well as platform-aware
 dialogs for configuration pages, message boxes, and password requests.
 .
 Contains development files for kwidgetsaddons.

Package: libkf5widgetsaddons5
Architecture: any
Multi-Arch: same
Depends: libkf5widgetsaddons-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: add-on widgets and classes for applications that use the Qt Widgets module
 Provided are action classes that can be added to toolbars or menus,
 a wide range of widgets for selecting characters, fonts, colors,
 actions, dates and times, or MIME types, as well as platform-aware
 dialogs for configuration pages, message boxes, and password requests.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

override_dh_strip:
	$(overridden_command) --dbgsym-migration='libkf5widgetsaddons5-dbg (<= 5.19.0-1~~)'

override_dh_auto_test:
	# Disable the unittests at build time.
	:

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential, xvfb, xauth, dbus (>= 1.8)
Restrictions: build-needed

Tests: acc
Depends: @, dh-acc, exuberant-ctags
Restrictions: allow-stderr

=== debian/watch ===
version=3
http://download.kde.org/stable/frameworks/([\d\.]*)/kwidgetsaddons-(.*)\.tar\.xz

## kwidgetsaddons 5.50.0

=== debian/changelog ===
kwidgetsaddons (5.50.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.50.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 10 Sep 2018 22:15:33 +0100

kwidgetsaddons (5.49.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.48.0)
  * New upstream release (5.49.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 20:31:31 +0100

kwidgetsaddons (5.47.0-0ubuntu1) cosmic; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.47.0)
  * Merge with debian, notes:
    - keep using dhmk and debhelper compat level = 9, see:
      https://phabricator.kde.org/w/kubuntu/black-operations/pyramid/

  [ José Manuel Santamaría Lema ]
  * Add lintian override for libkf5widgetsaddons-doc: description-too-
    long

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 14 Jun 2018 15:50:45 +0100

kwidgetsaddons (5.46.0-1) unstable; urgency=medium

  * Update symbols files
  * testsuite: Run tests one at the time
  * testsuite: Update scripts (Closes: 898208)
  * New upstream release (5.46.0).
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.1.4.
  * Use https for the debian/copyright
  * Bump group breaks (5.46)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 May 2018 22:15:40 +0200

kwidgetsaddons (5.46.0-0ubuntu1) cosmic; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.45.0)
  * New upstream release (5.46.0)

  [ José Manuel Santamaría Lema ]
  * Execute the testsuite inside the openbox window manager.

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 15 May 2018 15:57:54 +0100

kwidgetsaddons (5.45.0-1) unstable; urgency=medium

  * New upstream release (5.45.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.45)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sat, 05 May 2018 08:11:02 +0200

kwidgetsaddons (5.44.0-1) sid; urgency=medium

  * New upstream release (5.44.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.44)
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Wed, 21 Mar 2018 14:41:22 +0100

kwidgetsaddons (5.43.0-1) experimental; urgency=medium

  * Use the salsa canonical urls
  * New upstream release (5.43.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.43)
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 26 Feb 2018 11:44:12 +0100

kwidgetsaddons (5.42.1-2) sid; urgency=medium

  * New revision
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sat, 10 Feb 2018 11:29:16 +0100

kwidgetsaddons (5.42.1-1) experimental; urgency=medium

  * New upstream release (5.42.1).
  * Add link options as-needed
  * Bump debhelper build-dep and compat to 11.
  * Build without build_stamp
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.42)
  * Bump Standards-Version to 4.1.3.
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 02 Feb 2018 12:06:01 +0100

kwidgetsaddons (5.41.0-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.41.0).
  * Bump Standards-Version to 4.1.2.
  * Update build-deps and deps with the info from cmake
  * Update symbols files
  * Bump group breaks (5.41)
  * Release to experimental

  [ Helmut Grohne ]
  * Fix FTCBFS: Annotate libqt5sql5-sqlite with :native. (Closes: 882860)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Dec 2017 10:43:13 -0300

kwidgetsaddons (5.41.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 08 Dec 2017 14:48:32 +0000

kwidgetsaddons (5.40.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Nov 2017 13:00:45 +0000

kwidgetsaddons (5.39.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 15 Oct 2017 11:47:22 +0000

kwidgetsaddons (5.38.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 11 Sep 2017 13:32:10 +0000

kwidgetsaddons (5.37.0-2) sid; urgency=medium

  * New revision
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sun, 03 Sep 2017 09:58:58 +0200

kwidgetsaddons (5.37.0-1) experimental; urgency=medium

  * New upstream release (5.37.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.37)
  * Update symbols file
  * Add a libkf5widgetsaddons-doc package for the qch files
  * Bump Standards-Version to 4.0.1.
  * Set section for the doc package
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 16 Aug 2017 10:42:20 +0200

kwidgetsaddons (5.37.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Aug 2017 15:16:33 +0000

kwidgetsaddons (5.36.0-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.35.0).
  * Bump Standards-Version to 4.0.0.
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.35)
  * Drop upstream patches
  * Update symbols files.
  * watch: Use https uris
  * New upstream release (5.36.0).
  * Bump group breaks (5.36)
  * Update build-deps and deps with the info from cmake

  [ Raymond Wooninck ]
  * Add signing key
  * also include signing-key

  [ Harald Sitter ]
  * acc c++11. now used more liberally

 -- Maximiliano Curia <maxy@debian.org>  Sun, 09 Jul 2017 23:41:24 +0200

kwidgetsaddons (5.36.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 10 Jul 2017 17:13:56 +0000

kwidgetsaddons (5.35.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Jun 2017 20:37:57 +0000

kwidgetsaddons (5.34.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 14 May 2017 17:41:03 +0000

kwidgetsaddons (5.33.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Apr 2017 16:25:44 +0000



=== debian/control ===
--- 
+++ 
@@ -3,14 +3,17 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 2.8.12),
-               debhelper (>= 9),
-               extra-cmake-modules (>= 5.44.0~),
+Build-Depends: cmake (>= 3.0~),
+               debhelper (>= 11~),
+               doxygen,
+               extra-cmake-modules (>= 5.50.0~),
+               graphviz,
+               libqt5sql5-sqlite:native,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.6.1~),
+               qtbase5-dev (>= 5.8.0~),
                qttools5-dev (>= 5.6.1~),
-               qttools5-dev-tools (>= 5.6.1~)
-Standards-Version: 3.9.8
+               qttools5-dev-tools (>= 5.6.1~),
+Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/frameworks/kwidgetsaddons
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwidgetsaddons
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwidgetsaddons
@@ -33,8 +36,9 @@
 Architecture: any
 Section: libdevel
 Depends: libkf5widgetsaddons5 (= ${binary:Version}),
-         qtbase5-dev (>= 5.6.1~),
-         ${misc:Depends}
+         qtbase5-dev (>= 5.8.0~),
+         ${misc:Depends},
+Recommends: libkf5widgetsaddons-doc (= ${source:Version})
 Description: development files for kwidgetsaddons
  Provided are action classes that can be added to toolbars or menus,
  a wide range of widgets for selecting characters, fonts, colors,
@@ -42,6 +46,19 @@
  dialogs for configuration pages, message boxes, and password requests.
  .
  Contains development files for kwidgetsaddons.
+
+Package: libkf5widgetsaddons-doc
+Architecture: all
+Multi-Arch: foreign
+Section: doc
+Depends: ${misc:Depends}
+Description: add-on widgets and classes for applications that use the Qt Widgets module (documentation)
+ Provided are action classes that can be added to toolbars or menus,
+ a wide range of widgets for selecting characters, fonts, colors,
+ actions, dates and times, or MIME types, as well as platform-aware
+ dialogs for configuration pages, message boxes, and password requests.
+ .
+ This package contains the qch documentation files.
 
 Package: libkf5widgetsaddons5
 Architecture: any
